## kwallet-kf5 5.80.0

=== debian/changelog ===
kwallet-kf5 (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Refresh blowfish_endianess.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:42 +0000

kwallet-kf5 (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Restore libkf5wallet5.lintian-overrides after debian merge

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:52 +0000

kwallet-kf5 (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols file.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 10:52:42 +0000

kwallet-kf5 (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:17 +0000

kwallet-kf5 (5.77.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jan 2021 23:55:51 +0000

kwallet-kf5 (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 15:33:52 +0000

kwallet-kf5 (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:12:00 +0000

kwallet-kf5 (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:38 +0000
