=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 Source: kwallet-kf5
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
-               graphviz,
-               libboost-dev,
+               extra-cmake-modules (>= 5.80.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libgpgme-dev,
-               libgpgmepp-dev (>= 1.7.0~),
-               libkf5config-dev (>= 5.74.0~),
-               libkf5configwidgets-dev (>= 5.74.0~),
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5dbusaddons-dev (>= 5.74.0~),
-               libkf5doctools-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5service-dev (>= 5.74.0~),
-               libkf5widgetsaddons-dev (>= 5.74.0~),
-               libkf5windowsystem-dev (>= 5.74.0~),
+               libgpgme-dev | libgpgme11-dev,
+               libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
+               libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
+               libkf5config-dev (>= 5.80.0~),
+               libkf5configwidgets-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5dbusaddons-dev (>= 5.80.0~),
+               libkf5doctools-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5notifications-dev (>= 5.80.0~),
+               libkf5service-dev (>= 5.80.0~),
+               libkf5widgetsaddons-dev (>= 5.80.0~),
+               libkf5windowsystem-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/kwallet
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kwallet
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 Rules-Requires-Root: no
@@ -65,11 +65,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.74.0~),
+Depends: libkf5config-dev (>= 5.80.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.74.0~),
+         libkf5windowsystem-dev (>= 5.80.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
+         qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Recommends: libkf5wallet-doc (= ${source:Version})
 Description: development files for kwallet-framework
