=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kwallet-kf5
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
                libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.86.0~),
-               libkf5configwidgets-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5dbusaddons-dev (>= 5.86.0~),
-               libkf5doctools-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5notifications-dev (>= 5.86.0~),
-               libkf5service-dev (>= 5.86.0~),
-               libkf5widgetsaddons-dev (>= 5.86.0~),
-               libkf5windowsystem-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5configwidgets-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5dbusaddons-dev (>= 5.92.0~),
+               libkf5doctools-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5notifications-dev (>= 5.92.0~),
+               libkf5service-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
+               libkf5windowsystem-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kwallet
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
@@ -37,11 +37,11 @@
 Architecture: any
 Depends: libkf5wallet-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: kio (<< 5.54),
         libkf5khtml5 (<< 5.54),
         libkf5wallet5 (<< 4.100.0),
-        libkf5webkit5 (<< 5.54)
+        libkf5webkit5 (<< 5.54),
 Replaces: libkf5wallet5 (<< 4.100.0)
 Description: Secure and unified container for user passwords.
  Runtime for interface to KWallet, the safe desktop-wide storage
@@ -65,11 +65,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.86.0~),
+Depends: libkf5config-dev (>= 5.92.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.86.0~),
+         libkf5windowsystem-dev (>= 5.92.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5wallet-doc (= ${source:Version})
 Description: development files for kwallet-framework
@@ -95,7 +95,7 @@
 Depends: libkf5wallet-data (= ${source:Version}),
          libkwalletbackend5-5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Multi-Arch: same
 Description: Secure and unified container for user passwords.
  Interface to KWallet, the safe desktop-wide storage
